## ft2-clone 1.62+ds

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)

project(ft2-clone)

option(EXTERNAL_LIBFLAC "use external(system) flac library" OFF)

find_package(SDL2 REQUIRED)
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY "${ft2-clone_SOURCE_DIR}/release/other/")

file(GLOB ft2-clone_SRC
    "${ft2-clone_SOURCE_DIR}/src/rtmidi/*.cpp"
    "${ft2-clone_SOURCE_DIR}/src/*.c"
    "${ft2-clone_SOURCE_DIR}/src/gfxdata/*.c"
    "${ft2-clone_SOURCE_DIR}/src/mixer/*.c"
    "${ft2-clone_SOURCE_DIR}/src/scopes/*.c"
    "${ft2-clone_SOURCE_DIR}/src/modloaders/*.c"
    "${ft2-clone_SOURCE_DIR}/src/smploaders/*.c"
)

add_executable(ft2-clone ${ft2-clone_SRC})

target_include_directories(ft2-clone SYSTEM
    PRIVATE ${SDL2_INCLUDE_DIRS})

if("${SDL2_LIBRARIES}" STREQUAL "")
    message(WARNING "SDL2_LIBRARIES wasn't set, manually setting to SDL2::SDL2")
    set(SDL2_LIBRARIES "SDL2::SDL2")
endif()

target_link_libraries(ft2-clone
    PRIVATE m asound pthread ${SDL2_LIBRARIES})

target_compile_definitions(ft2-clone
    PRIVATE HAS_MIDI
    PRIVATE __LINUX_ALSA__
    PRIVATE HAS_LIBFLAC)

if(EXTERNAL_LIBFLAC)
    find_package(PkgConfig REQUIRED)
    pkg_check_modules(FLAC REQUIRED IMPORTED_TARGET flac)
    target_compile_definitions(ft2-clone
        PRIVATE EXTERNAL_LIBFLAC)
    target_link_libraries(ft2-clone
        PRIVATE PkgConfig::FLAC)
else()
    file(GLOB flac_SRCS
        "${ft2-clone_SOURCE_DIR}/src/libflac/*.c")
    target_sources(ft2-clone PRIVATE ${flac_SRCS})
endif()

install(TARGETS ft2-clone
    RUNTIME DESTINATION bin)

## ft2-clone 1.50+ds

=== debian/changelog ===
ft2-clone (1.50+ds-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.6.0.
  * Update maintainer address.
  * d/control: Section: prefix oldlibs with non-free.
  * d/watch: mangle repackaging.
  * d/copyright: update copyright years and add more authors.

 -- Gürkan Myczko <tar@debian.org>  Tue, 18 Jan 2022 19:39:35 +0100

ft2-clone (1.47+ds-1) unstable; urgency=medium

  * New upstream version.
  * Rename source and binary package to match upstream.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Thu, 09 Sep 2021 14:26:47 +0200

fasttracker2 (1.41+ds-1) unstable; urgency=medium

  * New upstream version.
  * d/copyright:
    - set Upstream-Contact, fix Upstream-Name.
    - update years.
  * Bump debhelper version to 13, drop d/compat.
  * d/upstream/metadata: added.
  * d/control: added Rules-Requires-Root.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 01 Dec 2020 17:12:55 +0100

fasttracker2 (1.24-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Sun, 24 May 2020 16:06:02 +0200

fasttracker2 (1.22-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 28 Apr 2020 10:59:31 +0200

fasttracker2 (1.19-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Sun, 12 Apr 2020 15:28:36 +0200

fasttracker2 (1.15-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 01 Apr 2020 11:37:14 +0200

fasttracker2 (1.14-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 23 Mar 2020 14:47:38 +0100

fasttracker2 (1.12-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 17 Mar 2020 16:43:52 +0100

fasttracker2 (1.09-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.5.0.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Thu, 13 Feb 2020 10:19:57 +0100

fasttracker2 (1.07-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Fri, 31 Jan 2020 10:04:42 +0100

fasttracker2 (1.06-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 15 Jan 2020 13:52:03 +0100

fasttracker2 (1.05-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Fri, 03 Jan 2020 08:19:34 +0100

fasttracker2 (1.04-1) unstable; urgency=medium

  * New upstream version.
  * d/copyright: update copyright years, new source url.
  * d/watch: added.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Fri, 20 Dec 2019 09:23:20 +0100

fasttracker2 (1.03-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Fri, 29 Nov 2019 13:27:31 +0100

fasttracker2 (1.02-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.4.1.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 25 Nov 2019 11:05:29 +0100

fasttracker2 (1.00-1) unstable; urgency=medium

  * New upstream version. (Closes: #922026)

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 01 Oct 2019 09:32:45 +0200

fasttracker2 (0.1+b168-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.4.0.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Fri, 06 Sep 2019 11:44:12 +0200

fasttracker2 (0.1+b166-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 14 Aug 2019 16:45:34 +0200

fasttracker2 (0.1+b164-1) unstable; urgency=medium

  * New upstream version.
  * debian/control: build on any architecture.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 05 Aug 2019 17:10:52 +0200

fasttracker2 (0.1+b163-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 29 Jul 2019 17:49:58 +0200

fasttracker2 (0.1+b161-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Thu, 04 Jul 2019 22:09:11 +0200

fasttracker2 (0.1+b156-1) experimental; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 27 May 2019 12:21:42 +0200

fasttracker2 (0.1+b146-1) experimental; urgency=medium

  * New upstream version.
  * Bump standards version to 4.3.0.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 08 Apr 2019 14:05:28 +0200

fasttracker2 (0.1+b144-1) experimental; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Sat, 30 Mar 2019 13:48:39 +0100

fasttracker2 (0.1+b142-1) experimental; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 20 Mar 2019 08:05:41 +0100

fasttracker2 (0.1+b140-1) experimental; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 11 Mar 2019 07:59:54 +0100

fasttracker2 (0.1+b139-1) experimental; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Thu, 07 Mar 2019 05:58:08 +0100

fasttracker2 (0.1+b137-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Fri, 15 Feb 2019 08:21:19 +0100

fasttracker2 (0.1+b134-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 11 Feb 2019 16:32:36 +0100

fasttracker2 (0.1+b132-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Thu, 31 Jan 2019 13:28:10 +0100

fasttracker2 (0.1+b130-1) experimental; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Fri, 25 Jan 2019 15:18:37 +0100

fasttracker2 (0.1+b126-1) experimental; urgency=medium

  * New upstream version.
  * debian/control: add to Multimedia Team.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Sun, 30 Dec 2018 13:34:21 +0100

fasttracker2 (0.1+b125-1) experimental; urgency=medium

  * New upstream version.
  * debian/control: don't build on some archs. (Closes: #914981)



=== debian/control ===
Source: ft2-clone
Section: non-free/sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Gürkan Myczko <tar@debian.org>
Build-Depends: debhelper-compat (= 13), librtmidi-dev, librtaudio-dev, libsdl2-dev
XS-Autobuild: yes
Standards-Version: 4.6.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/multimedia-team/fasttracker2.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/fasttracker2
Homepage: https://16-bits.org/ft2.php

Package: ft2-clone
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: opencubicplayer, modplug-tools
Suggests: protracker, hivelytracker, cheesecutter, bambootracker, schism
Replaces: fasttracker2 (<< 1.47+ds-1)
Breaks: fasttracker2 (<< 1.47+ds-1)
Description: Fasttracker II clone
 Multi-platform clone of the classic music making software
 FastTracker II. It can load XM, MOD, S3M, STM module files.

Package: fasttracker2
Architecture: all
Section: non-free/oldlibs
Depends: ${misc:Depends}, ft2-clone
Description: transitional dummy package
 This is a transitional dummy package for migration from
 fasttracker2 to ft2-clone.
 .
 This package can be safely removed.

## ft2-clone 1.54+ds

=== debian/changelog ===
ft2-clone (1.54+ds-1) unstable; urgency=medium

  * New upstream version.
  * d/control: update Vcs URL.

 -- Gürkan Myczko <tar@debian.org>  Fri, 22 Apr 2022 18:48:36 +0200

ft2-clone (1.53+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Mon, 18 Apr 2022 20:25:47 +0200

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
 XS-Autobuild: yes
 Standards-Version: 4.6.0
 Rules-Requires-Root: no
-Vcs-Git: https://salsa.debian.org/multimedia-team/fasttracker2.git
-Vcs-Browser: https://salsa.debian.org/multimedia-team/fasttracker2
+Vcs-Git: https://salsa.debian.org/multimedia-team/ft2-clone.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/ft2-clone2
 Homepage: https://16-bits.org/ft2.php
 
 Package: ft2-clone

## ft2-clone 1.62+ds

=== debian/changelog ===
ft2-clone (1.62+ds-1) unstable; urgency=medium

  * New upstream version.
  * d/copyright: add Files-Excluded, bump copyright year.

 -- Gürkan Myczko <tar@debian.org>  Tue, 03 Jan 2023 14:44:16 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/multimedia-team/ft2-clone.git
-Vcs-Browser: https://salsa.debian.org/multimedia-team/ft2-clone2
+Vcs-Browser: https://salsa.debian.org/multimedia-team/ft2-clone
 Homepage: https://16-bits.org/ft2.php
 
 Package: ft2-clone

=== debian/watch ===
version=4
opts=dversionmangle=s/\+ds$//,repacksuffix=+ds,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/$1\.tar\.gz/ \
 https://github.com/8bitbubsy/ft2-clone/tags .*/v?(\d\S*)\.tar\.gz

## ft2-clone 1.72.1+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -27,13 +27,30 @@
     set(SDL2_LIBRARIES "SDL2::SDL2")
 endif()
 
+find_package(Threads REQUIRED)
+
 target_link_libraries(ft2-clone
-    PRIVATE m asound pthread ${SDL2_LIBRARIES})
+    PRIVATE m Threads::Threads ${SDL2_LIBRARIES})
 
 target_compile_definitions(ft2-clone
     PRIVATE HAS_MIDI
-    PRIVATE __LINUX_ALSA__
     PRIVATE HAS_LIBFLAC)
+
+if(UNIX)
+    if(APPLE)
+        find_library(COREAUDIO CoreAudio REQUIRED)
+        find_library(COREMIDI CoreMIDI REQUIRED)
+        target_link_libraries(ft2-clone
+            PRIVATE ${COREAUDIO} ${COREMIDI})
+        target_compile_definitions(ft2-clone
+            PRIVATE __MACOSX_CORE__)
+    else()
+        target_link_libraries(ft2-clone
+            PRIVATE asound)
+        target_compile_definitions(ft2-clone
+            PRIVATE __LINUX_ALSA__)
+    endif()
+endif()
 
 if(EXTERNAL_LIBFLAC)
     find_package(PkgConfig REQUIRED)

=== debian/changelog ===
ft2-clone (1.72.1+ds-1build3) noble; urgency=medium

  * No-change rebuild against libasound2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 07 Apr 2024 07:12:59 +0000

ft2-clone (1.72.1+ds-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 05:26:40 +0000

ft2-clone (1.72.1+ds-1build1) noble; urgency=medium

  * No-change rebuild against libasound2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 06:35:50 +0000

ft2-clone (1.72.1+ds-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.6.2.
  * d/copyright: bump copyright year.

 -- Gürkan Myczko <tar@debian.org>  Mon, 16 Oct 2023 19:41:59 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: ft2-clone
 Section: non-free/sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Gürkan Myczko <tar@debian.org>
 Build-Depends: debhelper-compat (= 13), librtmidi-dev, librtaudio-dev, libsdl2-dev
 XS-Autobuild: yes
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/multimedia-team/ft2-clone.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/ft2-clone

## ft2-clone 1.84+ds

=== debian/changelog ===
ft2-clone (1.84+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Alex Myczko <tar@debian.org>  Mon, 13 May 2024 14:26:13 +0000

ft2-clone (1.80+ds-1) unstable; urgency=medium

  * New upstream version.
  * d/copyright: bump years.

 -- Alex Myczko <tar@debian.org>  Tue, 09 Apr 2024 16:08:03 +0200

ft2-clone (1.78+ds-1) unstable; urgency=medium

  * New upstream version.
  * d/copyright: bump years.

 -- Gürkan Myczko <tar@debian.org>  Mon, 18 Mar 2024 06:27:10 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: ft2-clone
 Section: non-free/sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
-Uploaders: Gürkan Myczko <tar@debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Uploaders: Alex Myczko <tar@debian.org>
 Build-Depends: debhelper-compat (= 13), librtmidi-dev, librtaudio-dev, libsdl2-dev
 XS-Autobuild: yes
 Standards-Version: 4.6.2

## ft2-clone 1.86+ds

=== debian/changelog ===
ft2-clone (1.86+ds-1) unstable; urgency=medium

  * New upstream version.
  * d/control: drop transitional package.

 -- Alex Myczko <tar@debian.org>  Fri, 13 Sep 2024 11:14:19 +0000

ft2-clone (1.85+ds-1) unstable; urgency=medium

  * New upstream version.
  * d/copyright: updated Files-Excluded.

 -- Alex Myczko <tar@debian.org>  Mon, 02 Sep 2024 13:55:16 +0000

## ft2-clone 1.94+ds

=== debian/changelog ===
ft2-clone (1.94+ds-1) unstable; urgency=medium

  * New upstream version.
  * d/README.source: dropped.

 -- Alex Myczko <tar@debian.org>  Mon, 17 Feb 2025 09:48:02 +0000

## ft2-clone 1.95+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -39,9 +39,11 @@
 if(UNIX)
     if(APPLE)
         find_library(COREAUDIO CoreAudio REQUIRED)
+        find_library(COREFOUNDATION CoreFoundation REQUIRED)
         find_library(COREMIDI CoreMIDI REQUIRED)
+        find_library(ICONV iconv REQUIRED)
         target_link_libraries(ft2-clone
-            PRIVATE ${COREAUDIO} ${COREMIDI})
+            PRIVATE ${COREAUDIO} ${COREMIDI} ${COREFOUNDATION} ${ICONV})
         target_compile_definitions(ft2-clone
             PRIVATE __MACOSX_CORE__)
     else()

=== debian/changelog ===
ft2-clone (1.95+ds-1) unstable; urgency=medium

  * New upstream version.
  * d/copyright: bump years.

 -- Alex Myczko <tar@debian.org>  Thu, 03 Apr 2025 09:48:04 +0000

=== debian/control ===
--- 
+++ 
@@ -21,13 +21,3 @@
 Description: Fasttracker II clone
  Multi-platform clone of the classic music making software
  FastTracker II. It can load XM, MOD, S3M, STM module files.
-
-Package: fasttracker2
-Architecture: all
-Section: non-free/oldlibs
-Depends: ${misc:Depends}, ft2-clone
-Description: transitional dummy package
- This is a transitional dummy package for migration from
- fasttracker2 to ft2-clone.
- .
- This package can be safely removed.

## ft2-clone 1.98+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -47,6 +47,11 @@
         target_compile_definitions(ft2-clone
             PRIVATE __MACOSX_CORE__)
     else()
+        # musl systems need musl-fts installed, others have it with glibc
+        find_library(FTS fts)
+        if (FTS)
+            target_link_libraries(ft2-clone PRIVATE fts)
+        endif()
         target_link_libraries(ft2-clone
             PRIVATE asound)
         target_compile_definitions(ft2-clone

=== debian/changelog ===
ft2-clone (1.98+ds-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.7.2.

 -- Alex Myczko <tar@debian.org>  Tue, 16 Sep 2025 09:21:49 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Alex Myczko <tar@debian.org>
 Build-Depends: debhelper-compat (= 13), librtmidi-dev, librtaudio-dev, libsdl2-dev
 XS-Autobuild: yes
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/multimedia-team/ft2-clone.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/ft2-clone

## ft2-clone 1.99+ds

=== debian/changelog ===
ft2-clone (1.99+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Alex Myczko <tar@debian.org>  Fri, 31 Oct 2025 10:57:43 +0100

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

#ifeq ($(DEB_HOST_ARCH_CPU),i386)
#export FIX_386 = -msse
#endif

%:
	dh $@

override_dh_auto_configure:
	@echo skip cmake

override_dh_auto_build:
	gcc $(FIX_386) -g -DNDEBUG -DHAS_MIDI -D__LINUX_ALSA__ -DHAS_LIBFLAC src/rtmidi/*.cpp src/gfxdata/*.c src/mixer/*.c src/*.c src/scopes/*.c src/modloaders/*.c src/smploaders/*.c src/libflac/*.c -lSDL2 -lpthread -lasound -lstdc++ -lm -Wshadow -Winit-self -Wno-missing-field-initializers -Wno-unused-result -Wno-strict-aliasing -Wextra -Wunreachable-code -Wswitch-default -o release/other/fasttracker2
#	gcc $(FIX_386) -g -D__LINUX_ALSA__ src/rtmidi/*.cpp src/gfxdata/*.c src/*.c -I/usr/include/SDL2 -lSDL2 -lpthread -lasound -lstdc++ -lm -Wshadow -Winit-self -Wall -Wno-implicit-fallthrough -Wno-unused-result -Wno-strict-aliasing -Wextra -Wunused -Wunreachable-code -Wmissing-field-initializers -Wswitch-default -O3 -o release/other/fasttracker2

## ft2-clone 2.00+ds

=== debian/changelog ===
ft2-clone (2.00+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Alex Myczko <tar@debian.org>  Mon, 24 Nov 2025 16:59:46 +0100

=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,7 @@
 	dh $@
 
 override_dh_auto_configure:
+	mkdir -p release/other
 	@echo skip cmake
 
 override_dh_auto_build:

## ft2-clone 2.02+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,6 +6,11 @@
 
 find_package(SDL2 REQUIRED)
 set(CMAKE_RUNTIME_OUTPUT_DIRECTORY "${ft2-clone_SOURCE_DIR}/release/other/")
+
+if((CMAKE_CXX_COMPILER_ID MATCHES "Clang") OR (CMAKE_CXX_COMPILER_ID MATCHES "GNU"))
+    add_compile_options(-O3)
+    add_compile_options(-ffast-math)
+endif()
 
 file(GLOB ft2-clone_SRC
     "${ft2-clone_SOURCE_DIR}/src/rtmidi/*.cpp"

=== debian/changelog ===
ft2-clone (2.02+ds-1) unstable; urgency=medium

  * New upstream version.
  * d/control: drop Rules-Requires-Root.
  * d/watch: update to version 5.

 -- Alex Myczko <tar@debian.org>  Wed, 10 Dec 2025 22:49:58 +0000

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,13 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Alex Myczko <tar@debian.org>
-Build-Depends: debhelper-compat (= 13), librtmidi-dev, librtaudio-dev, libsdl2-dev
+Build-Depends:
+ debhelper-compat (= 13),
+ librtmidi-dev,
+ librtaudio-dev,
+ libsdl2-dev,
 XS-Autobuild: yes
 Standards-Version: 4.7.2
-Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/multimedia-team/ft2-clone.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/ft2-clone
 Homepage: https://16-bits.org/ft2.php

=== debian/watch ===
Version: 5

Template: Github
Dversionmangle: s/\+ds$//
Owner: 8bitbubsy
Project: ft2-clone
Repacksuffix: +ds

## ft2-clone 2.03+ds

=== debian/changelog ===
ft2-clone (2.03+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Alex Myczko <tar@debian.org>  Sun, 28 Dec 2025 21:29:47 +0000

=== debian/rules ===
--- 
+++ 
@@ -7,8 +7,6 @@
 # see ENVIRONMENT in dpkg-buildflags(1)
 # package maintainers to append CFLAGS
 export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
-# package maintainers to append LDFLAGS
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 #ifeq ($(DEB_HOST_ARCH_CPU),i386)
 #export FIX_386 = -msse
